html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

html {
  width: 100%;
  height: 100%;
}

body {
  width: 100%;
  color: white;
  font-family: "Mada", sans-serif;
  background-image: url("/s/bg.svg");
  background-size: cover;
  background-repeat: no-repeat;
	background-attachment: fixed;
}

section#main {
	padding-top: 58px;
}

section#content {
	transition: 0.3s filter;
	filter: blur(0px);
	margin-top: 30px;
}

div#homepageLogo {
  height: 220px;
  width: 220px;
  margin: 0 auto;
  background-image: url(/s/logo.png);
  background-repeat: no-repeat;
  background-size: 90.49%;
  background-position: center;
}

section#bar {
  display: inline-block;
  padding: 15px 0 15px 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.08);
}

h1 {
  font-size: 20pt;
  line-height: 2.0;
  text-align: center;
}

div#nagon:hover {
  background-color: rgba(220, 220, 220, 0.1);
}

div#join {
	width: 180px;
	height: 50px;
	margin: 0 auto;
	background-image: url(/s/join.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
	transition: 0.3s transform;
}

div#discord:hover {
	transform: scale(1.08);
}

/* MENU */
section#menu {
	position: absolute;
	top: 0;
	left: 0;
	width: 80%;
	height: 58px;
	background-color: rgba(40, 40, 40, 0.25);
	padding-left: 20%;
}

div#menuLogo {
	float: left;
	width: 78px;
	height: 58px;
	background-image: url(./logo.png);
	background-size: auto 80%;
	background-position: center center;
	background-repeat: no-repeat;
	transition: 0.3s background-size;
}

div#topbarAnnouncement {
	position: absolute;
	font-size: 10.75pt;
	top: 58px;
	width: calc(100% - 14px);
	padding: 7px;
	background-color: rgba(65, 131, 215, 0.3);
	color: white;
	text-align: center;
}

div#topbarAnnouncement:hover {
	background-color: rgba(45, 111, 195, 0.8);
}

.menuItem {
	float: left;
	color: white;
	font-weight: normal;
	height: calc(58px - 21px);
	padding: 21px 20px 0 20px;
}

.menuItem {
	background-color: rgba(170, 170, 170, 0.07);
}

.menuItem:hover {
	background-color: rgba(210, 210, 210, 0.4);
}

.selectedMenuItem {
	background-color: rgba(210, 210, 210, 0.25);
}

.instagramItem {
	width: calc(58px - 40px);
	background-position: center;
	background-repeat: no-repeat;
	background-size: auto 45%;
	background-image: url(/s/instagram.svg);
}

.facebookItem {
	width: calc(58px - 40px);
	background-position: center;
	background-repeat: no-repeat;
	background-size: auto 45%;
	background-image: url(/s/facebook.svg);
}

/* HOMEPAGE */
div#searchbar {
	display: inline-block;
	width: 35%;
	margin: 2vh calc(32.5% - 28px);
}

input#searchbarinput {
	height: 55px;
	float: left;
	background-color: rgba(180, 180, 180, 0.08);
	border: 0;
	outline: none;
	font-family: "Mada", sans-serif;
	font-size: 16pt;
	width: calc(100% - (50px + 28px));
	text-align: center;
	padding: 0 14px;
	color: rgba(220, 220, 220, 0.8);
	border-bottom: 2px solid rgba(220, 220, 220, 0.8);
}

input#searchbarinput:focus {
	background-color: rgba(220, 220, 220, 0.1);
}

div#searchbutton {
	float: right;
	width: 50px;
	height: 55px;
	background-image: url(/s/search.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: 60%;
	cursor: pointer;
	background-color: rgba(180, 180, 180, 0.08);
	border-bottom: 2px solid rgba(220, 220, 220, 0.8);
}

div#searchbutton:hover {
	background-color: rgba(180, 180, 180, 0.2);
}

/* FOOTER */

footer {
	padding: 24px 0 24px 0;
	border-top: 1px solid rgba(180, 180, 180, 0.4);
	background-color: rgba(180, 180, 180, 0.1);
}

.rightsreserved {
	line-height: 1.8;
	font-size: 13.5pt;
	text-align: center;
}

/* NEWS */
section#news {
	width: 35%;
	margin-left: 20%;
}

section#news h2 {
	color: white;
	font-size: 20.5pt;
	padding-left: 13px;
	line-height: 2.0;
}

article.newsItem {
	background-color: rgba(50, 50, 50, 0.1);
	padding: 20px;
	text-align: justify;
	margin-bottom: 2.5vh;
}

p.newsTitle {
	font-size: 22pt;
}

time.newsDate {
	font-size: 12pt;
	font-style: italic;
	color: rgba(240, 240, 240, 0.6);
	line-height: 1.25;
	padding-bottom: 5px;
}

p.newsContent {
	line-height: 1.15;
}

div#notFound {
	width: 40%;
	margin-left: 30%;
	height: 50vh;
}

p.notFoundtext {
	padding-top: 20vh;
	line-height: 1.8;
	font-size: 24pt;
	text-align: center;
	color: white;
}

a.notFoundtext {
	padding-top: 2.5vh;
	font-size: 15.5pt;
	line-height: 1.8;
	text-align: center;
	color: white;
}

a {
	text-decoration: none;
	color: rgba(200, 200, 200, 0.3);
	font-weight: bold;
}

a:hover {
	text-decoration: underline;
}

/* JOIN */
#joinForm {
	margin: 15vh auto;
	width: 340px;
}

#joinSteps {
	padding: 16px;
	border-radius: 12px;
	border: 2px solid white;
	background-color: rgb(240,240,240,0.1);
}

#secondStep, #thirdStep, #fourthStep, #fifthStep {
	display: none;
}

.stepTitle {
	font-size: 14pt;
	line-height: 1.25;
	padding-bottom: 10px;
}

.stepSubTitle {
	font-style: italic;
	padding: 5px 0;
	padding-bottom: 12px;
	color: rgba(255,255,255,0.8);
	text-align: justify;
}

.joinInput {
	outline: none !important;
	font-family: 'Mada', sans-serif;
	background-color: rgba(255,255,255,0.25);
	border: 0;
	padding: 7px;
	width: calc(100% - 14px);
	border-bottom: 2px solid rgba(255,255,255,0.5);
	color: white;
	font-size: 13pt;
	margin: 4px 0;
}

.joinNext {
	margin-top: 12px;
	text-align: center;
	padding: 14px;
	background-color: rgba(255,255,255,0.3);
	cursor: pointer;
	color: white;
}

.joinNext:hover {
	text-decoration: none;
}

.joinNext:hover {
	background-color: rgba(255,255,255,0.4);
}

.joinNext:active {
	background-color: rgba(255,255,255,0.1);
}

::placeholder { /* Most modern browsers support this now. */
	color: rgb(200,200,200);
}

select option {
	background-color: rgba(255,255,255,0.4);
	color: black;
}

select.joinInput {
	width: 100%;
}

.steps_ariane {
	width: 220px;
	height: 70px;
	margin: 0 auto;
}

#arianesvg {
	fill: rgba(255,255,255,0.3);
}

.arianeStep1 #circle1 {
	fill: rgba(255,255,255,0.8);
}

.arianeStep1 #letter1 {
	fill: rgb(255,255,255);
}

.arianeStep2 #circle2 {
	fill: rgba(255,255,255,0.8);
}

.arianeStep2 #letter2 {
	fill: rgb(255,255,255);
}

.arianeStep3 #circle3 {
	fill: rgba(255,255,255,0.8);
}

.arianeStep3 #letter3 {
	fill: rgb(255,255,255);
}

.arianeStep4 #circle4 {
	fill: rgba(255,255,255,0.8);
}

.arianeStep4 #letter4 {
	fill: rgb(255,255,255);
}

.arianeStep5 #circle5 {
	fill: rgba(255,255,255,0.8);
}

.arianeStep5 #letter5 {
	fill: rgb(255,255,255);
}

#joinEnd {
	margin: 5vh auto;
	width: 80px;
	height: 80px;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 80%;
	background-image: url("/s/checked.svg");
}

#discordRules {
	list-style: circle inside;
	padding-bottom: 6px;
}

.inputIssue {
	background-color: rgba(255,0,0,0.2);
	border-bottom: 2px solid rgba(255,0,0,0.5);
}

#contact {
	text-align: left;
	width: 340px;
	padding: 16px;
	background-color: rgba(255,255,255,0.1);
	margin: 5vh auto;
}

#contact p {
	font-size: 13pt;
	line-height: 1.6;
}

#alreadyJoined {
	display: none;
}

@media screen and (max-width: 900px) {
	section#menu {
		padding-left: 7%;
		width: 100%;
	}

	section#news {
		width: 75%;
		margin-left: 7.5%;
	}

	input#searchbarinput {
		width: 80%;
		margin: 2vh 10%;
	}
}


@media screen and (max-width: 640px) {
	footer {
		margin-top: 20vh;
	}

	div#topbarAnnouncement {
		top: 0;
		z-index: 100;
	}

	body.menuOpen {
		overflow: hidden;
	}

	div#logo {
		width: 125px;
		height: 125px;
	}

	section#main {
		padding-top: 20px;
	}

	h1 {
		font-size: 14.5pt;
	}

	/* MENU */
	section#menu {
		position: fixed;
		top: 0;
		left: -300px;
		width: 300px;
		height: 100%;
		background-color: rgba(40, 40, 40, 0.7);
		padding-left: 0;
		z-index: 100;
		transition: left 0.25s;
	}

	section#menu.open {
		left: 0;
	}

	div#menuLogo {
		margin-top: 10vh;
		width: 100%;
		height: 140px;
	}

	.menuItem {
		display: inline-block;
		color: white;
		font-weight: normal;
		height: calc(58px - 21px);
		width: calc(90% - 40px);
		margin-left: 5%;
		padding: 21px 20px 0 20px;
		border-bottom: 1px solid rgba(0,0,0,0.1);
	}

	.twitterItem {
		margin-top: 7px;
		width: calc(45% - 40px);
		margin-left: 27.5%;
		background-size: 20%;
	}

	div#mobileMenuButton {
		position: fixed;
		left: 4vh;
		bottom: 4vh;
		border-radius: 50%;
		width: 52px;
		height: 52px;
		background-repeat: no-repeat;
		background-size: 50%;
		background-image: url(/s/menu.svg);
		background-position: center;
		z-index: 150;
		border: 2px solid rgba(220, 220, 220, 0.5);
		background-color: rgba(170, 170, 170, 0.37);
	}

	div#mobileMenuButton:hover {
		background-color: rgba(210, 210, 210, 0.25);
	}

	div#mobileMenuButton.menuOpen {
		background-image: url(/s/close.svg);
	}

	section#content.menuOpen {
		filter: blur(3px);
	}

	div#homepageLogo {
		width: 180px;
		height: 180px;
	}

	input#searchbarinput {
		width: 92%;
		margin: 2vh 4%;
		font-size: 14.5pt;
	}

	section#news {
		width: 85%;
		margin-left: 7.5%;
	}
}
